Attribute options
Possible options per attribute
The attribute option object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
nameMultiLanguageStringLocalized name of the option
orderintegerOrder of the option as displayed on widgets and websites
Related resources
Embed related resources in the response with the select parameter, for example select=*,attributes(*). Resources related through more than one column need the column as a hint, like table!column(*).
product_attribute_options(*)arrayThe product attribute options referencing this attribute option through product_attribute_options.option_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"attribute_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"name": {},
"order": 1
}curl -X GET "https://api.bookingmood.com/v1/attribute_options?limit=10&select=*,attributes(*),product_attribute_options(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List attribute options
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
nameFilter<MultiLanguageString>Localized name of the option
orderFilter<integer>Order of the option as displayed on widgets and websites
Responses
200A list of attribute options with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /attribute_optionscurl -X GET "https://api.bookingmood.com/v1/attribute_options?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"attribute_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"name": {},
"order": 1
}
]Create attribute options
Body
Partial<AttributeOption> | Array<Partial<AttributeOption>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created attribute options with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /attribute_optionscurl -X POST "https://api.bookingmood.com/v1/attribute_options" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"attribute_id": "00000000-0000-0000-0000-000000000000",
"name": {},
"order": 1
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"attribute_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"name": {},
"order": 1
}
]Delete attribute options
Filters
Without filters, this request deletes all attribute options you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
nameFilter<MultiLanguageString>Localized name of the option
orderFilter<integer>Order of the option as displayed on widgets and websites
Responses
200The deleted attribute options with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /attribute_optionscurl -X DELETE "https://api.bookingmood.com/v1/attribute_options?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"attribute_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"name": {},
"order": 1
}
]Update attribute options
Filters
Without filters, this request updates all attribute options you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
nameFilter<MultiLanguageString>Localized name of the option
orderFilter<integer>Order of the option as displayed on widgets and websites
Body
Partial<AttributeOption>Read-only attributes are set by the database and can't be written.
Responses
200The updated attribute options with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /attribute_optionscurl -X PATCH "https://api.bookingmood.com/v1/attribute_options?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": {}
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"attribute_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"name": {},
"order": 1
}
]